<?php
/*
Nyt er nyt, men noget nyt er yt.
<br />
Det der er yt er ikke godt nyt,
<br/>
men er stadig nyt.
<br />
Mange elsker nye overraskende ting,
<br />
ved mindre det er yt nyt,
<br />
for dårligt nyt vil ingen læse.
<br />
Derfor skal der her skrives god ny nyt,
<br />
og ikke gammel yt nyt.
<br />
<br />
<i>Leo Ørsnes, 24/10 - 06</i>
<br />
<hr />
*/


function deletefromarchive($number) {

$query[$number] = mysql_query("SELECT * FROM `pytox_community` WHERE `bruger` LIKE '{$_COOKIE[user]}' LIMIT 1");

while($slet = mysql_fetch_array($query[$number])) {

if ($_COOKIE[pass] == $slet[kode]) {

 if ($slet[admin] == 1) {

	if ($slet[exist] == 1) {

print "&nbsp;-&nbsp;<a style=\"border:0px;\" href=\"?site=Adminnews&amp;choose=delete&amp;delid=".$number."\" title=\"Slet fra arkivet\"><img src=\"../gfx/slet.jpg\" alt=\"Slet!\" /></a>";

	}
 }
}
}

}


function editfromarchive($number) {

$query[$number] = mysql_query("SELECT * FROM `pytox_community` WHERE `bruger` LIKE '{$_COOKIE[user]}' LIMIT 1");

while($slet = mysql_fetch_array($query[$number])) {

if ($_COOKIE[pass] == $slet[kode]) {

 if ($slet[admin] == 1) {

	if ($slet[exist] == 1) {

print "&nbsp;-&nbsp;<a style=\"border:0px;\" href=\"?site=Adminnews&amp;ret=true&amp;id=".$number."\" title=\"Ret nyhed\"><img src=\"../gfx/ret.jpg\" alt=\"Ret!\" /></a>";

	}
 }
}
}

}


if ($_GET[archive] == "true") {
?>
<strong>Du ser nu på alle nyhederne</strong> - <a href="?site=Nyheder">Vi 10 seneste</a>
<?php

while($db_nyhed_show = mysql_fetch_array($all_nyhed)) {

if ($db_nyhed_show[show] == "1") {
if (isset($_GET['highlight'])) {
$overskrift = str_replace($_GET['highlight'], "<span class=\"highlight\">".$_GET['highlight']."</span>", $db_nyhed_show['overskrift']);
$nyhed = str_replace($_GET['highlight'], "<span class=\"highlight\">".$_GET['highlight']."</span>", $db_nyhed_show['nyhed']);
} else {
$overskrift = $db_nyhed_show[overskrift];
$nyhed = $db_nyhed_show[nyhed];
}
?>
<br />
<br />
<strong>
<?php
print $overskrift." - ".$db_nyhed_show[time];
?>
</strong><?php deletefromarchive($db_nyhed_show[id]); editfromarchive($db_nyhed_show[id]); ?>
<br />
<?php
print $nyhed;
?>
<br />
<br />
<i>Skrevet af: 
<?php
$forfatterid = mysql_query("SELECT * FROM `pytox_community` WHERE `bruger` LIKE '{$db_nyhed_show[forfatter]}' LIMIT 1");

while ($nyforfid = mysql_fetch_array($forfatterid)) {

print "<a href=\"?site=Com.users&userid=".$nyforfid[id]."\">";

}
?>
<?php
print $db_nyhed_show[forfatter];
?>
</i>
</a>
<br />
<hr />
<?php
}

}


} else {
?>
<strong>Du ser nu på de 10 seneste nyheder</strong> - <a href="?site=Nyheder&archive=true">Vis alle</a>
<?php


while($db_nyhed_show = mysql_fetch_array($db_nyhed)) {

if (isset($_GET['highlight'])) {
$overskrift = str_replace($_GET['highlight'], "<div class=\"highlight\">".$_GET['highlight']."</div>", $db_nyhed_show['overskrift']);
$nyhed = str_replace($_GET['highlight'], "<div class=\"highlight\">".$_GET['highlight']."</div>", $db_nyhed_show['nyhed']);
} else {
$overskrift = $db_nyhed_show['overskrift'];
$nyhed = $db_nyhed_show['nyhed'];
}

if ($db_nyhed_show[show] == "1") {
?>
<br />
<br />
<strong>
<?php
print $overskrift." - ".$db_nyhed_show[time];
?>
</strong><?php deletefromarchive($db_nyhed_show[id]); editfromarchive($db_nyhed_show[id]); ?>
<br />
<?php
print $nyhed;
?>
<br />
<br />
<i>Skrevet af: 
<?php
$forfatteridd = mysql_query("SELECT * FROM `pytox_community` WHERE `bruger` LIKE '{$db_nyhed_show[forfatter]}' LIMIT 1");

while ($nyforfaid = mysql_fetch_array($forfatteridd)) {

print "<a href=\"?site=Com.users&userid=".$nyforfaid[id]."\">";
}
?>
<?php
print $db_nyhed_show[forfatter];
?>
</i>
</a>
<br />
<hr />
<?php
}

}

}
?>